Skip to content

Listagem de logs de marketplace

GET /marketplaces/logs

Endpoint responsável listar de logs de marketplace

Descrição

Endpoint responsável por listar os logs da integração com o marketplace. Esse endpoint é estratégico para entender os possíveis erros ou problemas com a integração. As operações de webhook também são gravados nessa listagem.

Headers Obrigatórios

HeaderValorDescrição
Content-Typeapplication/jsonTipo de conteúdo.
AuthorizationBearer {token}Token de autenticação.

Campos de Condição Disponíveis

CampoTipoDescrição
entityIdstringID na Uappi da entidade responsável pelo log.
entitystringEntidade responsável pelo log.
successbooleanFiltra pelo sucesso ou erro do log.
marketplaceIdintegerFiltra pelo ID do marketplace.
marketplaceStoreCredentialIdintegerFiltra pelo ID do grupo de credencial de marketplace.
createdAtstringFiltra pela data de criação do log.

Valores possíveis para o campo entity

  • attribute;
  • brand;
  • carrier;
  • category;
  • filter;
  • shipping-table;
  • storage;
  • product;
  • order.

Campos de Ordenação Disponíveis

CampoDescrição
createdAtOrdena pela data de criação do log.

Exemplo de Requisição

1curl --request GET \
2 --url https://sua-loja-uappi.com.br/api/v3/marketplaces/logs \
3 --header 'Authorization: Bearer SEU_TOKEN_AQUI' \
4 --header 'Content-Type: application/json' \
5 --data '{
6 "fields": [],
7 "order": [],
8 "condition": {
9 "type": "AND",
10 "conditions": [
11 ]
12 }
13}'

✅ Resposta de Sucesso

1{
2 "status": true,
3 "data": {
4 "registers": [
5 {
6 "id": 2069,
7 "marketplaceId": 1,
8 "marketplaceStoreCredentialId": 2,
9 "entityId": null,
10 "entity": "order",
11 "status": "",
12 "request": {
13 "action": "create",
14 "orderGroups": [
15 {
16 "marketplaceId": 3,
17 "marketplaceName": "Mercado Livre",
18 "currency": "BRL",
19 "issuedAt": "2025-12-17 08:21:17",
20 "payments": [
21 {
22 "paymentOptionId": 0,
23 "paymentOptionLabel": "Boleto Pagarme V5",
24 "paymentOptionDetail": "Pagar.me v5 - (Billet)",
25 "cardFlag": null,
26 "installment": null,
27 "value": 402.64,
28 "currentStatus": "paid"
29 }
30 ],
31 "customer": {
32 "customerNameCorporateName": "Davi Jorge das Neves",
33 "customerEmail": "davijorgedasneves@belaggiovini.com.br",
34 "customerDocument": "13174279801",
35 "customerDocument2": "",
36 "customerPhone": "+5575993191603",
37 "customerIsCorporate": false,
38 "customerGender": "male",
39 "customerBirthdate": "1974-02-01"
40 },
41 "addresses": [
42 {
43 "customerAddressType": "both",
44 "addressZipCode": "44051120",
45 "addressRecipient": "Davi",
46 "addressStreet": "Rua Teófilo Otoni",
47 "addressNumber": "846",
48 "addressDistrict": "São João",
49 "addressCity": "Feira de Santana",
50 "addressState": "Bahia",
51 "addressStateCode": "BR-BA",
52 "addressCountryCode": "BRA",
53 "addressComplement": ""
54 }
55 ],
56 "orders": [
57 {
58 "marketplaceOrderId": "111231",
59 "productStorageId": 1,
60 "orderStatusId": 3,
61 "shipping": {
62 "shippingTableId": 15,
63 "label": "Correios PAC",
64 "shippingCarrier": "Intelipost",
65 "beginShippingTime": 13,
66 "endShippingTime": 13,
67 "shippingValue": 20.64,
68 "trackingCode": "123456",
69 "trackingUrl": "www.correios.com.br"
70 },
71 "items": [
72 {
73 "productId": 1,
74 "attributeValueId": 1,
75 "name": "Whey muito concentrado de chocolate",
76 "description": "",
77 "sku": "WHEYCONCENTRADOCOCHOLATE",
78 "quantity": 1,
79 "unitValue": 200,
80 "unitAdditionValue": 0,
81 "unitDiscountValue": 10,
82 "subtotalValue": 200,
83 "subtotalAdditionValue": 0,
84 "subtotalDiscountValue": 20,
85 "totalValue": 180,
86 "discounts": [
87 {
88 "type": "marketplace",
89 "entityId": "PRIMEIRACOMPRA",
90 "value": 20
91 }
92 ],
93 "additions": []
94 },
95 {
96 "productId": 1,
97 "attributeValueId": 2,
98 "name": "Whey muito concentrado de morango",
99 "description": "",
100 "sku": "WHEYCONCENTRADOMORANGO",
101 "quantity": 2,
102 "unitValue": 106,
103 "unitAdditionValue": 0,
104 "unitDiscountValue": 5,
105 "subtotalValue": 212,
106 "subtotalAdditionValue": 0,
107 "subtotalDiscountValue": 10,
108 "totalValue": 202,
109 "discounts": [
110 {
111 "type": "marketplace",
112 "entityId": "PRIMEIRACOMPRA",
113 "value": 10
114 }
115 ],
116 "additions": []
117 }
118 ],
119 "invoice": {
120 "number": "1234",
121 "key": "1",
122 "serie": "222",
123 "url": null,
124 "xml": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"
125 }
126 }
127 ]
128 }
129 ]
130 },
131 "response": {
132 "httpCode": 400,
133 "errorCode": "UAPPI_EXTERNAL_MARKETPLACE_INVALID_WEBHOOK_BODY",
134 "message": [
135 {
136 "expected": "string",
137 "code": "invalid_type",
138 "path": [
139 "orderGroups",
140 0,
141 "marketplaceOrderGroupId"
142 ],
143 "message": "Invalid input: expected string, received undefined"
144 }
145 ]
146 },
147 "createdAt": "2026-02-27 13:37:27"
148 }
149 ],
150 "pagination": {
151 "limit": 3,
152 "offset": 0,
153 "pages": 669,
154 "registers": 2007
155 }
156 }
157}

Uappi é a melhor opção para o crescimento da sua loja!

;